## taler-wallet-v1.1.0.tar.gz

=== Makefile ===
# This Makefile has been placed in the public domain.

tsc = node_modules/typescript/bin/tsc
pogen = node_modules/@gnu-taler/pogen/bin/pogen.js
typedoc = node_modules/typedoc/bin/typedoc
ava = node_modules/.bin/ava
nyc = node_modules/nyc/bin/nyc.js
git-archive-all = ./build-system/taler-build-scripts/archive-with-submodules/git_archive_all.py

include .config.mk

# Let recursive Makefiles know that they're being invoked
# from the top-level makefile.
export TOPLEVEL := yes
export TOP_DESTDIR := $(abspath $(DESTDIR))

.PHONY: compile
compile:
	pnpm install -r --frozen-lockfile
	pnpm run compile


.PHONY: dist
dist:
	$(git-archive-all) \
	       	--include ./configure \
	       	--include ./packages/taler-wallet-cli/configure \
	       	--include ./packages/anastasis-cli/configure \
	       	--include ./packages/bank-ui/configure \
	       	--include ./packages/taler-harness/configure \
	       	--include ./packages/merchant-backoffice-ui/configure \
	       	taler-wallet-$(shell git describe --tags --abbrev=0).tar.gz

# Create tarball with git hash prefix in name
.PHONY: dist-git
dist-git:
	$(git-archive-all) --include ./configure taler-wallet-$(shell git describe --tags).tar.gz

.PHONY: publish
publish:
	pnpm i -r --frozen-lockfile
	pnpm run compile
	pnpm publish -r --no-git-checks

.PHONY: prebuilt
prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	make backoffice-prebuilt
	make backend-prebuilt
	make bank-prebuilt
	make kyc-prebuilt
	make challenger-prebuilt
	make aml-backoffice-prebuilt
	make anastasis-prebuilt
	make auditor-prebuilt
	./contrib/publish-prebuilt-dir.sh

# RELEASE prebuilt

.PHONY: anastasis-prebuilt
anastasis-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... compile
	./contrib/copy-anastasis-into-prebuilt.sh

.PHONY: backoffice-prebuilt
backoffice-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backoffice-ui...
	pnpm run --filter @gnu-taler/merchant-backoffice-ui... compile
	./contrib/copy-backoffice-into-prebuilt.sh

.PHONY: backend-prebuilt
backend-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backend-ui...
	pnpm run --filter @gnu-taler/merchant-backend-ui... compile
	./contrib/copy-backend-into-prebuilt.sh

.PHONY: aml-backoffice-prebuilt
aml-backoffice-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/aml-backoffice-ui...
	pnpm run --filter @gnu-taler/aml-backoffice-ui... compile
	./contrib/copy-aml-backoffice-into-prebuilt.sh

.PHONY: kyc-prebuilt
kyc-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/kyc-ui...
	pnpm run --filter @gnu-taler/kyc-ui... compile
	./contrib/copy-kyc-into-prebuilt.sh

.PHONY: challenger-prebuilt
challenger-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/challenger-ui...
	pnpm run --filter @gnu-taler/challenger-ui... compile
	./contrib/copy-challenger-into-prebuilt.sh

.PHONY: bank-prebuilt
bank-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/bank-ui...
	pnpm run --filter @gnu-taler/bank-ui... compile
	./contrib/copy-bank-into-prebuilt.sh

.PHONY: auditor-prebuilt
auditor-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/auditor-backoffice-ui...
	pnpm run --filter @gnu-taler/auditor-backoffice-ui... compile
	./contrib/copy-auditor-backoffice-into-prebuilt.sh

# DEV prebuilt

.PHONY: anastasis-dev-prebuilt
anastasis-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/anastasis-webui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-anastasis-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: backoffice-dev-prebuilt
backoffice-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/merchant-backoffice-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backoffice-ui...
	pnpm run --filter @gnu-taler/merchant-backoffice-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-backoffice-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: backend-dev-prebuilt
backend-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/merchant-backend-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backend-ui...
	pnpm run --filter @gnu-taler/merchant-backend-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-backend-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: aml-backoffice-dev-prebuilt
aml-backoffice-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/aml-backoffice-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/aml-backoffice-ui...
	pnpm run --filter @gnu-taler/aml-backoffice-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-aml-backoffice-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: kyc-dev-prebuilt
kyc-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/kyc-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/kyc-ui...
	pnpm run --filter @gnu-taler/kyc-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-kyc-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: auditor-dev-prebuilt
auditor-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/auditor-backoffice-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/auditor-backoffice-ui...
	pnpm run --filter @gnu-taler/auditor-backoffice-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-auditor-backoffice-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: challenger-dev-prebuilt
challenger-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/challenger-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/challenger-ui...
	pnpm run --filter @gnu-taler/challenger-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-challenger-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: bank-dev-prebuilt
bank-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/bank-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/bank-ui...
	pnpm run --filter @gnu-taler/bank-ui... compile
	git commit -am "new prebuilt dev" && git push
	./contrib/copy-bank-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

# make documentation from docstrings
.PHONY: typedoc
typedoc:
	$(typedoc) --out dist/typedoc --readme README

.PHONY: clean
clean:
	pnpm run clean

.PHONY: submodules-update
submodules-update:
	git submodule update --recursive --remote

.PHONY: check
check:
	pnpm install -r --frozen-lockfile
	pnpm run compile
	pnpm run check

.PHONY: config-lib
config-lib:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-config-lib...
	cd ./packages/taler-config-lib/ && pnpm link -g

.PHONY: anastasis-webui
anastasis-webui:
	pnpm install --frozen-lockfile --filter . --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... compile

.PHONY: anastasis-webui-dist
anastasis-webui-dist: anastasis-webui
	(cd packages/anastasis-webui/dist/prod && zip -r - ./*) > anastasis-webui.zip


.PHONY: anastasis-webui-dev
anastasis-webui-dev:
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... dev

.PHONY: webextension
webextension:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-webextension...
	pnpm run --filter @gnu-taler/taler-wallet-webextension... compile
	cd ./packages/taler-wallet-webextension/ && ./pack.sh prod

.PHONY: webextension-dev
webextension-dev:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-webextension...
	pnpm run --filter @gnu-taler/taler-wallet-webextension... dev

.PHONY: embedded
embedded:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-embedded...
	pnpm run --filter @gnu-taler/taler-wallet-embedded... compile
	@echo built packages/taler-wallet-embedded/dist/taler-wallet-core-qjs.mjs

.PHONY: lint
lint:
	./node_modules/.bin/eslint --ext '.js,.ts,.tsx' 'src'


.PHONY: install
# Build and install everything
install:
	pnpm install --frozen-lockfile
	pnpm run compile
	$(MAKE) -C packages/taler-wallet-cli install-nodeps
	$(MAKE) -C packages/anastasis-cli install-nodeps
	$(MAKE) -C packages/taler-harness install-nodeps
	$(MAKE) -C packages/bank-ui install-nodeps
	$(MAKE) -C packages/merchant-backoffice-ui install-nodeps
	$(MAKE) -C packages/aml-backoffice-ui install-nodeps
	$(MAKE) -C packages/auditor-backoffice-ui install-nodeps


.PHONY: install-tools
# Install taler-wallet-cli, anastasis-cli and taler-harness
install-tools:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-cli... --filter @gnu-taler/anastasis-cli... --filter @gnu-taler/taler-harness...
	pnpm run --filter @gnu-taler/taler-wallet-cli... --filter @gnu-taler/anastasis-cli... --filter @gnu-taler/taler-harness... compile
	$(MAKE) -C packages/taler-wallet-cli install-nodeps
	$(MAKE) -C packages/anastasis-cli install-nodeps
	$(MAKE) -C packages/taler-harness install-nodeps

.PHONY: check-migration

check-migration:
	taler-harness advanced wallet-dbcheck contrib/wallet-testdata/wallet-dbgen-0.9.4-dev.8

=== packages/anastasis-cli/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install anastasis-cli

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
bindir = $(prefix)/bin
libdir = $(prefix)/lib/anastasis-cli
nodedir = $(libdir)/node_modules/anastasis-cli
.PHONY: install install-nodeps deps
install-nodeps:
	./build-node.mjs
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(nodedir)/bin
	install -d $(DESTDIR)$(nodedir)/dist
	install ./dist/anastasis-cli-bundled.cjs $(DESTDIR)$(nodedir)/dist/
	install ./dist/anastasis-cli-bundled.cjs.map $(DESTDIR)$(nodedir)/dist/
	install ./bin/anastasis-cli.mjs $(DESTDIR)$(nodedir)/bin/
	ln -sf ../lib/anastasis-cli/node_modules/anastasis-cli/bin/anastasis-cli.mjs $(DESTDIR)$(bindir)/anastasis-cli
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-cli...
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

=== packages/auditor-backoffice-ui/Makefile ===
# This Makefile has been placed in the public domain

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

.PHONY: all
all:
	@echo run \'make install\' to install

spa_dir=$(DESTDIR)$(prefix)/share/taler/auditor-backoffice

.PHONY: deps
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/auditor-backoffice...
	pnpm run build

.PHONY: install-nodeps
install-nodeps:
	(cd dist/prod && find . -type f -exec install -D "{}" "$(spa_dir)/{}" \;)


.PHONY: install
install:
	$(MAKE) deps
	$(MAKE) install-nodeps

=== packages/bank-ui/Makefile ===
# This Makefile has been placed in the public domain

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

.PHONY: all
all:
	@echo run \'make install\' to install

spa_dir=$(DESTDIR)$(prefix)/share/taler/bank-ui

.PHONY: deps
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/bank-ui...
	pnpm run --filter @gnu-taler/bank-ui... compile
	pnpm run check
	pnpm run build

.PHONY: install-nodeps
install-nodeps:
	install -d $(spa_dir)
	install ./dist/prod/* $(spa_dir)

.PHONY: install
install:
	$(MAKE) deps
	$(MAKE) install-nodeps

=== packages/taler-harness/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-harness

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
BINDIR = $(prefix)/bin
LIBDIR = $(prefix)/lib/taler-harness
NODEDIR = $(LIBDIR)/node_modules/taler-harness
.PHONY: install deps install-nodeps
install-nodeps:
	./build.mjs
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(NODEDIR)
	install -d $(DESTDIR)$(NODEDIR)/bin
	install -d $(DESTDIR)$(NODEDIR)/dist
	install ./dist/taler-harness-bundled.cjs $(DESTDIR)$(NODEDIR)/dist/
	install ./dist/taler-harness-bundled.cjs.map $(DESTDIR)$(NODEDIR)/dist/
	install ./bin/taler-harness.mjs $(DESTDIR)$(NODEDIR)/bin/
	ln -sf ../lib/taler-harness/node_modules/taler-harness/bin/taler-harness.mjs $(DESTDIR)$(BINDIR)/taler-harness
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-harness...
	pnpm run --filter @gnu-taler/taler-harness... compile
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -b -uc -us

=== packages/taler-wallet-cli/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-wallet-cli

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
LIBDIR = $(prefix)/lib/taler-wallet-cli
BINDIR=$(prefix)/bin
NODEDIR=$(LIBDIR)/node_modules/taler-wallet-cli
.PHONY: install install-nodeps deps
install-nodeps:
	./build-node.mjs
	@echo installing wallet CLI to $(DESTDIR)$(prefix)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(LIBDIR)/build
	install -d $(DESTDIR)$(NODEDIR)/bin
	install -d $(DESTDIR)$(NODEDIR)/dist
	install ./dist/taler-wallet-cli-bundled.cjs $(DESTDIR)$(NODEDIR)/dist/
	install ./dist/taler-wallet-cli-bundled.cjs.map $(DESTDIR)$(NODEDIR)/dist/
	install ./bin/taler-wallet-cli.mjs $(DESTDIR)$(NODEDIR)/bin/
	install ../idb-bridge/taler-helper-sqlite3 $(DESTDIR)$(BINDIR)/taler-helper-sqlite3
	ln -sf ../lib/taler-wallet-cli/node_modules/taler-wallet-cli/bin/taler-wallet-cli.mjs $(DESTDIR)$(BINDIR)/taler-wallet-cli
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-cli...
	pnpm run --filter @gnu-taler/taler-wallet-cli... compile
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -b -uc -us

=== contrib/articles/ui/figs/Makefile ===

plantuml = plantuml

%.svg : %.pml
	$(plantuml) -tsvg $<

%.pdf : %.pml
	$(plantuml) -tpdf $<

files = taler-pay.pml taler-withdraw.pml \
cc3ds.pml contract.pml paypal.pml \
bitcoin.pml

all : $(files:.pml=.pdf) $(files:.pml=.svg)

=== packages/taler-harness/debian/changelog ===
taler-harness (1.1.0) unstable; urgency=low

  * Release 1.1.0

 -- Florian Dold <dold@taler.net>  Thu, 30 Oct 2025 15:47:37 +0100

taler-harness (1.0.37) unstable; urgency=low

  * Release 1.0.37

 -- Florian Dold <dold@taler.net>  Wed, 22 Oct 2025 17:57:23 +0200

taler-harness (1.0.36) unstable; urgency=low

  * Release 1.0.36

 -- Florian Dold <dold@taler.net>  Tue, 14 Oct 2025 12:34:15 +0200

taler-harness (1.0.35) unstable; urgency=low

  * Release 1.0.35

 -- Florian Dold <dold@taler.net>  Thu, 09 Oct 2025 15:04:45 +0200

taler-harness (1.0.34) unstable; urgency=low

  * Release 1.0.34

 -- Florian Dold <dold@taler.net>  Tue, 16 Sep 2025 00:47:58 +0200

taler-harness (1.0.33) unstable; urgency=low

  * Release 1.0.33

 -- Florian Dold <dold@taler.net>  Mon, 08 Sep 2025 20:07:19 +0200

taler-harness (1.0.32) unstable; urgency=low

  * Release 1.0.32

 -- Florian Dold <dold@taler.net>  Wed, 03 Sep 2025 18:22:49 -0300

taler-harness (1.0.31) unstable; urgency=low

  * Release 1.0.31

 -- Florian Dold <dold@taler.net>  Mon, 25 Aug 2025 10:31:22 -0300

taler-harness (1.0.30) unstable; urgency=low

  * Release 1.0.30

 -- Florian Dold <dold@taler.net>  Sun, 24 Aug 2025 19:33:15 +0200

taler-harness (1.0.28) unstable; urgency=low

  * Release 1.0.28

 -- Florian Dold <dold@taler.net>  Tue, 05 Aug 2025 23:19:57 +0200

taler-harness (1.0.27) unstable; urgency=low

  * Release 1.0.27

 -- Florian Dold <dold@taler.net>  Fri, 01 Aug 2025 15:46:13 +0200

taler-harness (1.0.26) unstable; urgency=low

  * Release 1.0.26

 -- Florian Dold <dold@taler.net>  Wed, 30 Jul 2025 22:34:04 +0200

taler-harness (1.0.25) unstable; urgency=low

  * Release 1.0.25

 -- Florian Dold <dold@taler.net>  Fri, 25 Jul 2025 17:23:11 +0200

taler-harness (1.0.24) unstable; urgency=low

  * Release 1.0.24

 -- Florian Dold <dold@taler.net>  Tue, 22 Jul 2025 02:38:16 +0200

taler-harness (1.0.23) unstable; urgency=low

  * Release 1.0.23

 -- Florian Dold <dold@taler.net>  Tue, 22 Jul 2025 01:00:36 +0200

taler-harness (1.0.22) unstable; urgency=low

  * Release 1.0.22

 -- Florian Dold <dold@taler.net>  Thu, 17 Jul 2025 21:24:52 +0200

taler-harness (1.0.21) unstable; urgency=low

  * Release 1.0.21

 -- Florian Dold <dold@taler.net>  Wed, 09 Jul 2025 01:56:35 +0200

taler-harness (1.0.20) unstable; urgency=low

  * Release 1.0.20

 -- Florian Dold <dold@taler.net>  Tue, 24 Jun 2025 11:56:45 +0200

taler-harness (1.0.19) unstable; urgency=low

  * Release 1.0.19

 -- Florian Dold <dold@taler.net>  Thu, 19 Jun 2025 14:26:23 +0200

taler-harness (1.0.18) unstable; urgency=low

  * Release 1.0.18

 -- Florian Dold <dold@taler.net>  Mon, 16 Jun 2025 22:42:15 +0200

taler-harness (1.0.17) unstable; urgency=low

  * Release 1.0.17

 -- Florian Dold <dold@taler.net>  Tue, 10 Jun 2025 21:30:13 +0200

taler-harness (1.0.16) unstable; urgency=low

  * Release 1.0.16

 -- Florian Dold <dold@taler.net>  Thu, 05 Jun 2025 12:28:48 +0200

taler-harness (1.0.15) unstable; urgency=low

  * Release 1.0.15

 -- Florian Dold <dold@taler.net>  Wed, 04 Jun 2025 13:49:40 +0200

taler-harness (1.0.14) unstable; urgency=low

  * Release 1.0.14

 -- Florian Dold <dold@taler.net>  Tue, 03 Jun 2025 22:32:13 +0200

taler-harness (1.0.13) unstable; urgency=low

  * Release 1.0.13

 -- Florian Dold <dold@taler.net>  Tue, 03 Jun 2025 16:21:13 +0200

taler-harness (1.0.12) unstable; urgency=low

  * Release 1.0.12

 -- Florian Dold <dold@taler.net>  Wed, 28 May 2025 19:53:08 +0200

taler-harness (1.0.11) unstable; urgency=low

  * Release 1.0.11

 -- Florian Dold <dold@taler.net>  Wed, 28 May 2025 02:39:55 +0200

taler-harness (1.0.10) unstable; urgency=low

  * Release 1.0.10

 -- Florian Dold <dold@taler.net>  Mon, 26 May 2025 12:37:59 +0200

taler-harness (1.0.9) unstable; urgency=low

  * Release 1.0.9

 -- Florian Dold <dold@taler.net>  Mon, 26 May 2025 11:07:16 +0200

taler-harness (1.0.8) unstable; urgency=low

  * Release 1.0.8

 -- Florian Dold <dold@taler.net>  Sun, 25 May 2025 19:56:48 +0200

taler-harness (1.0.7) unstable; urgency=low

  * Release 1.0.7

 -- Florian Dold <dold@taler.net>  Thu, 22 May 2025 01:10:38 +0200

taler-harness (1.0.6) unstable; urgency=low

  * Release 1.0.6

 -- Florian Dold <dold@taler.net>  Tue, 20 May 2025 16:57:58 +0200

taler-harness (1.0.5) unstable; urgency=low

  * Release 1.0.5

 -- Florian Dold <dold@taler.net>  Tue, 20 May 2025 15:28:04 +0200

taler-harness (1.0.4) unstable; urgency=low

  * Release 1.0.4

 -- Florian Dold <dold@taler.net>  Mon, 19 May 2025 15:09:24 +0200

taler-harness (1.0.3) unstable; urgency=low

  * Release 1.0.3

 -- Florian Dold <dold@taler.net>  Wed, 14 May 2025 19:47:56 +0200

taler-harness (1.0.2) unstable; urgency=low

  * Release 1.0.2

 -- Florian Dold <dold@taler.net>  Fri, 09 May 2025 00:28:00 +0200

taler-harness (1.0.1) unstable; urgency=low

  * Release 1.0.1

 -- Florian Dold <dold@taler.net>  Thu, 08 May 2025 19:51:12 +0200

taler-harness (1.0.0) unstable; urgency=low

  * Release 1.0.0

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 23:33:35 +0200

taler-harness (0.14.25) unstable; urgency=low

  * Release 0.14.25

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 18:37:30 +0200

taler-harness (0.14.24) unstable; urgency=low

  * Release 0.14.24

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 12:28:26 +0200

taler-harness (0.14.23) unstable; urgency=low

  * Release 0.14.23

 -- Florian Dold <dold@taler.net>  Fri, 02 May 2025 09:22:45 +0200

taler-harness (0.14.22) unstable; urgency=low

  * Release 0.14.22

 -- Florian Dold <dold@taler.net>  Wed, 30 Apr 2025 14:45:03 +0200

taler-harness (0.14.20) unstable; urgency=low

  * Release 0.14.20

 -- Florian Dold <dold@taler.net>  Tue, 29 Apr 2025 16:21:36 +0200

taler-harness (0.14.19) unstable; urgency=low

  * Release 0.14.19

 -- Florian Dold <dold@taler.net>  Sun, 27 Apr 2025 16:07:59 +0200

taler-harness (0.14.18) unstable; urgency=low

  * Release 0.14.18



=== packages/taler-wallet-cli/debian/changelog ===
taler-wallet-cli (1.1.0) unstable; urgency=low

  * Release 1.1.0

 -- Florian Dold <dold@taler.net>  Thu, 30 Oct 2025 15:47:37 +0100

taler-wallet-cli (1.0.37) unstable; urgency=low

  * Release 1.0.37

 -- Florian Dold <dold@taler.net>  Wed, 22 Oct 2025 17:57:23 +0200

taler-wallet-cli (1.0.36) unstable; urgency=low

  * Release 1.0.36

 -- Florian Dold <dold@taler.net>  Tue, 14 Oct 2025 12:34:15 +0200

taler-wallet-cli (1.0.35) unstable; urgency=low

  * Release 1.0.35

 -- Florian Dold <dold@taler.net>  Thu, 09 Oct 2025 15:04:45 +0200

taler-wallet-cli (1.0.34) unstable; urgency=low

  * Release 1.0.34

 -- Florian Dold <dold@taler.net>  Tue, 16 Sep 2025 00:47:58 +0200

taler-wallet-cli (1.0.33) unstable; urgency=low

  * Release 1.0.33

 -- Florian Dold <dold@taler.net>  Mon, 08 Sep 2025 20:07:19 +0200

taler-wallet-cli (1.0.32) unstable; urgency=low

  * Release 1.0.32

 -- Florian Dold <dold@taler.net>  Wed, 03 Sep 2025 18:22:49 -0300

taler-wallet-cli (1.0.31) unstable; urgency=low

  * Release 1.0.31

 -- Florian Dold <dold@taler.net>  Mon, 25 Aug 2025 10:31:22 -0300

taler-wallet-cli (1.0.30) unstable; urgency=low

  * Release 1.0.30

 -- Florian Dold <dold@taler.net>  Sun, 24 Aug 2025 19:33:15 +0200

taler-wallet-cli (1.0.28) unstable; urgency=low

  * Release 1.0.28

 -- Florian Dold <dold@taler.net>  Tue, 05 Aug 2025 23:19:57 +0200

taler-wallet-cli (1.0.27) unstable; urgency=low

  * Release 1.0.27

 -- Florian Dold <dold@taler.net>  Fri, 01 Aug 2025 15:46:13 +0200

taler-wallet-cli (1.0.26) unstable; urgency=low

  * Release 1.0.26

 -- Florian Dold <dold@taler.net>  Wed, 30 Jul 2025 22:34:04 +0200

taler-wallet-cli (1.0.25) unstable; urgency=low

  * Release 1.0.25

 -- Florian Dold <dold@taler.net>  Fri, 25 Jul 2025 17:23:11 +0200

taler-wallet-cli (1.0.24) unstable; urgency=low

  * Release 1.0.24

 -- Florian Dold <dold@taler.net>  Tue, 22 Jul 2025 02:38:16 +0200

taler-wallet-cli (1.0.23) unstable; urgency=low

  * Release 1.0.23

 -- Florian Dold <dold@taler.net>  Tue, 22 Jul 2025 01:00:36 +0200

taler-wallet-cli (1.0.22) unstable; urgency=low

  * Release 1.0.22

 -- Florian Dold <dold@taler.net>  Thu, 17 Jul 2025 21:24:52 +0200

taler-wallet-cli (1.0.21) unstable; urgency=low

  * Release 1.0.21

 -- Florian Dold <dold@taler.net>  Wed, 09 Jul 2025 01:56:35 +0200

taler-wallet-cli (1.0.20) unstable; urgency=low

  * Release 1.0.20

 -- Florian Dold <dold@taler.net>  Tue, 24 Jun 2025 11:56:45 +0200

taler-wallet-cli (1.0.19) unstable; urgency=low

  * Release 1.0.19

 -- Florian Dold <dold@taler.net>  Thu, 19 Jun 2025 14:26:23 +0200

taler-wallet-cli (1.0.18) unstable; urgency=low

  * Release 1.0.18

 -- Florian Dold <dold@taler.net>  Mon, 16 Jun 2025 22:42:15 +0200

taler-wallet-cli (1.0.17) unstable; urgency=low

  * Release 1.0.17

 -- Florian Dold <dold@taler.net>  Tue, 10 Jun 2025 21:30:13 +0200

taler-wallet-cli (1.0.16) unstable; urgency=low

  * Release 1.0.16

 -- Florian Dold <dold@taler.net>  Thu, 05 Jun 2025 12:28:48 +0200

taler-wallet-cli (1.0.15) unstable; urgency=low

  * Release 1.0.15

 -- Florian Dold <dold@taler.net>  Wed, 04 Jun 2025 13:49:40 +0200

taler-wallet-cli (1.0.14) unstable; urgency=low

  * Release 1.0.14

 -- Florian Dold <dold@taler.net>  Tue, 03 Jun 2025 22:32:13 +0200

taler-wallet-cli (1.0.13) unstable; urgency=low

  * Release 1.0.13

 -- Florian Dold <dold@taler.net>  Tue, 03 Jun 2025 16:21:13 +0200

taler-wallet-cli (1.0.12) unstable; urgency=low

  * Release 1.0.12

 -- Florian Dold <dold@taler.net>  Wed, 28 May 2025 19:53:08 +0200

taler-wallet-cli (1.0.11) unstable; urgency=low

  * Release 1.0.11

 -- Florian Dold <dold@taler.net>  Wed, 28 May 2025 02:39:55 +0200

taler-wallet-cli (1.0.10) unstable; urgency=low

  * Release 1.0.10

 -- Florian Dold <dold@taler.net>  Mon, 26 May 2025 12:37:59 +0200

taler-wallet-cli (1.0.9) unstable; urgency=low

  * Release 1.0.9

 -- Florian Dold <dold@taler.net>  Mon, 26 May 2025 11:07:16 +0200

taler-wallet-cli (1.0.8) unstable; urgency=low

  * Release 1.0.8

 -- Florian Dold <dold@taler.net>  Sun, 25 May 2025 19:56:48 +0200

taler-wallet-cli (1.0.7) unstable; urgency=low

  * Release 1.0.7

 -- Florian Dold <dold@taler.net>  Thu, 22 May 2025 01:10:38 +0200

taler-wallet-cli (1.0.6) unstable; urgency=low

  * Release 1.0.6

 -- Florian Dold <dold@taler.net>  Tue, 20 May 2025 16:57:58 +0200

taler-wallet-cli (1.0.5) unstable; urgency=low

  * Release 1.0.5

 -- Florian Dold <dold@taler.net>  Tue, 20 May 2025 15:28:04 +0200

taler-wallet-cli (1.0.4) unstable; urgency=low

  * Release 1.0.4

 -- Florian Dold <dold@taler.net>  Mon, 19 May 2025 15:09:24 +0200

taler-wallet-cli (1.0.3) unstable; urgency=low

  * Release 1.0.3

 -- Florian Dold <dold@taler.net>  Wed, 14 May 2025 19:47:56 +0200

taler-wallet-cli (1.0.2) unstable; urgency=low

  * Release 1.0.2

 -- Florian Dold <dold@taler.net>  Fri, 09 May 2025 00:28:00 +0200

taler-wallet-cli (1.0.1) unstable; urgency=low

  * Release 1.0.1

 -- Florian Dold <dold@taler.net>  Thu, 08 May 2025 19:51:12 +0200

taler-wallet-cli (1.0.0) unstable; urgency=low

  * Release 1.0.0

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 23:33:35 +0200

taler-wallet-cli (0.14.25) unstable; urgency=low

  * Release 0.14.25

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 18:37:30 +0200

taler-wallet-cli (0.14.24) unstable; urgency=low

  * Release 0.14.24

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 12:28:26 +0200

taler-wallet-cli (0.14.23) unstable; urgency=low

  * Release 0.14.23

 -- Florian Dold <dold@taler.net>  Fri, 02 May 2025 09:22:45 +0200

taler-wallet-cli (0.14.22) unstable; urgency=low

  * Release 0.14.22

 -- Florian Dold <dold@taler.net>  Wed, 30 Apr 2025 14:45:03 +0200

taler-wallet-cli (0.14.20) unstable; urgency=low

  * Release 0.14.20

 -- Florian Dold <dold@taler.net>  Tue, 29 Apr 2025 16:21:36 +0200

taler-wallet-cli (0.14.19) unstable; urgency=low

  * Release 0.14.19



=== packages/taler-harness/debian/control ===
Source: taler-harness
Section: networking
Priority: optional
Maintainer: Taler Systems SA <deb@taler.net>
Uploaders: Christian Grothoff <grothoff@gnu.org>, Florian Dold <dold@taler.net>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.1.0
Vcs-Git: https://git.taler.net/wallet-core.git
Homepage: https://taler.net/

Package: taler-harness
Architecture: all
Depends: nodejs,
         python3,
         ${misc:Depends}
Recommends:
Description: Software package to test Taler installations.

=== packages/taler-wallet-cli/debian/control ===
Source: taler-wallet-cli
Section: networking
Priority: optional
Maintainer: Taler Systems SA <deb@taler.net>
Uploaders: Christian Grothoff <grothoff@gnu.org>, Florian Dold <dold@taler.net>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.1.0
Vcs-Git: https://git.taler.net/wallet-core.git
Homepage: https://taler.net/

Package: taler-wallet-cli
Architecture: all
Depends: nodejs,
         python3,
         ${misc:Depends}
Recommends:
Description: This is a command-line interface version of the GNU Taler wallet.

=== packages/taler-wallet-cli/debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

# Override because our configure doesn't like extra arguments.
override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_builddeb:
	dh_builddeb -- -Zgzip

# Override this step because it's very slow and likely
# unnecessary for us.
override_dh_strip_nondeterminism:
	true

get-orig-source:
	uscan --force-download --rename
